%global pkgvers 2
%global scdate0 20220313
%global schash0 d3912b85cd6dbb18c3e7bde4d18443931b6608c3
%global branch0 master
%global source0 https://github.com/gruns/orderedmultidict.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-orderedmutidict
Version:        1.0.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Ordered Multivalue Dictionary
License:        Unlicense
BuildArch:      noarch

URL:            https://github.com/gruns/orderedmultidict

%description
A multivalue dictionary is a dictionary that can store multiple values for the
same key. An ordered multivalue dictionary is a multivalue dictionary that
retains the order of insertions and deletions.

%package     -n python3-orderedmutidict
Summary:        Ordered Multivalue Dictionary
BuildRequires:  git python3-devel python3-setuptools
BuildRequires:  python3-six
%{?python_provide:%python_provide python3-orderedmutidict}

%description -n python3-orderedmutidict
A multivalue dictionary is a dictionary that can store multiple values for the
same key. An ordered multivalue dictionary is a multivalue dictionary that
retains the order of insertions and deletions.

%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
rm -vrf *.egg-info
chmod -x *.md
sed -i -e "s/'pycodestyle'//" setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-orderedmutidict
%license LICENSE.md
%doc API.md README.md
%{python3_sitelib}/*

%changelog
* Sat Mar 12 2022 Balint Cristian <cristian.balint@gmail.com>
- github update releases

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
